<!--For adding Glyphicons We are adding Bootstrap 3.4.1 CDN Link-->
<head>
    <link rel="stylesheet" 
    href="https://cdn.jsdelivr.net/npm/bootstrap@3.4.1/dist/css/bootstrap.min.css" 
    integrity="sha384-HSMxcRTRxnN+Bdg0JdbxYKrThecOKuH5zCYotlSAcp1+c8xmyTe9GYg1l9a69psu" 
    crossorigin="anonymous">
</head>


<h3 style="color: green;">Welcome: {{emailId}}!</h3>
<h1 align="center">Employees Data</h1> <br/>

<div class="container">
<table class="table table-bordered table-hover table-striped table-sm">
    <thead>
        <tr align="center">
            <th class="bg-info text-white">EmpId</th>
            <th class="bg-info text-white">EmpName</th>
            <th class="bg-info text-white">Salary</th>
            <th class="bg-info text-white">Gender</th>
            <th class="bg-info text-white">DOJ</th>
            <th class="bg-info text-white">Country</th>
            <th class="bg-info text-white">EmailId</th>
            <th class="bg-info text-white">Experience</th>

            <!-- Providing Actions Heading for Edit & Delete -->
            <th colspan="2" class="bg-info text-white">Actions</th> 
        </tr>
    </thead>

    <tbody>
        <tr *ngFor="let emp of employees">
            <td align="center"> {{emp.empId}} </td>
            <td align="left">   {{emp.empName | uppercase | gender:emp.gender}}</td>
            <td align="right">  {{emp.salary  | currency:'INR'}}</td>
            <td align="center"> {{emp.gender  | lowercase}}</td>
            <td align="center"> {{emp.doj     | date:'dd-MMM-yyyy'}}</td>
            <td align="center"> {{emp.country}}       </td>
            <td align="left">   {{emp.emailId}}       </td>
            <td align="center"> {{emp.doj     | exp}} </td>

            <!--Providing Edit & Delte Options using Glyphicons-->
            <td align="center"> <button (click)="editEmployee(emp)" class="glyphicon glyphicon-pencil"></button> </td>
            <td align="center"> <button (click)="deleteEmployee(emp.empId)" class="glyphicon glyphicon-trash"></button> </td>
        </tr>
    </tbody>
</table>
</div>



<div class="container">
      
    <!-- The Modal -->
    <div class="modal fade" id="empModal">
      <div class="modal-dialog">
        <div class="modal-content">
        
          <!-- Modal Header -->
          <div class="modal-header">
            <h4 class="modal-title">Edit Employee</h4>
            <p style="margin-left: 300px;">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </p>
          </div>
          
          <!-- Modal body : Adding the Registration form and Binding the editEmp object -->
          <div class="modal-body">
            <div class="container">

         <table align="left" style="margin-left: 70px;">
              <tbody>
                <tr>
                    <td>EmpId</td>
                    <td><input type="text" name="empId" [(ngModel)]="editEmp.empId" readonly /> </td>
                </tr>
                  <tr>
                      <td>EmpName</td>
                      <td><input type="text" name="empName" [(ngModel)]="editEmp.empName" readonly /> </td>
                  </tr>
                  <tr>
                      <td>Salary</td>
                      <td><input type="text" name="salary" [(ngModel)]="editEmp.salary" /> </td>
                  </tr>
                  <tr>
                      <td>Gender</td>
                      <td>
                          <select name="gender" [(ngModel)]="editEmp.gender">
                              <option value="" selected>Select Gender</option>
                              <option value="Male"  >Male  </option>
                              <option value="Female">Female</option>
                              <option value="Others">Others</option>
                          </select>
                      </td>
                  </tr>
                  <tr>
                      <td>Date Of Join</td>
                      <td><input type="date" name="doj" [(ngModel)]="editEmp.doj" /> </td>
                  </tr>
                  <tr>
                      <td>Country</td>
                      <td>
                          <select name="country"  [(ngModel)]="editEmp.country">
                              <option value="" selected>Select Country</option>
                              <option value="{{country.cca3}}" *ngFor="let country of countries">{{country.name.common}}</option>
                          </select>
                      </td>
                  </tr>
                  <tr>
                      <td>Email-Id</td>
                      <td><input type="text" name="emailId" [(ngModel)]="editEmp.emailId" readonly /> </td>
                  </tr>
                  <tr>
                      <td>Password</td>
                      <td><input type="password" name="password" [(ngModel)]="editEmp.password" readonly /> </td>
                  </tr>
                  <tr>
                      <td>Department</td>
                      <td>
                          <select name="department" [(ngModel)]="editEmp.department.deptId">
                              <option value="" selected>Select Department</option>
                              <option value="{{department.deptId}}" *ngFor="let department of departments"> {{department.deptName}} </option>
                          </select>
                      </td>
                  </tr>
                  
              </tbody>
          </table>
  </div>
          </div>
          
          <!-- Modal footer -->
          <div class="modal-footer">
            <button type="button" (click)="updateEmployee()" class="btn btn-primary" data-dismiss="modal">Update Employee</button>
          </div>
          
        </div>
      </div>
    </div>
    
  </div>
  



